<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: CK_ECDH1_DERIVE_PARAMS Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CK_ECDH1_DERIVE_PARAMS Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a0b7cdb5c49b5009e5d66ca1d6b6ead43"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a25c4c2080a9de6b88ec16c6e9c776e56">CK_EC_KDF_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__ECDH1__DERIVE__PARAMS.html#a0b7cdb5c49b5009e5d66ca1d6b6ead43">kdf</a></td></tr>
<tr class="separator:a0b7cdb5c49b5009e5d66ca1d6b6ead43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95606c7e5bb43c1d62f41791c98d7f7f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__ECDH1__DERIVE__PARAMS.html#a95606c7e5bb43c1d62f41791c98d7f7f">ulSharedDataLen</a></td></tr>
<tr class="separator:a95606c7e5bb43c1d62f41791c98d7f7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acab261b5f4c0104ea7011d671b371ab1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__ECDH1__DERIVE__PARAMS.html#acab261b5f4c0104ea7011d671b371ab1">pSharedData</a></td></tr>
<tr class="separator:acab261b5f4c0104ea7011d671b371ab1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9ccaf64b51247d789c8e4d78b64b54c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__ECDH1__DERIVE__PARAMS.html#ae9ccaf64b51247d789c8e4d78b64b54c">ulPublicDataLen</a></td></tr>
<tr class="separator:ae9ccaf64b51247d789c8e4d78b64b54c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b5ab88b8cf93cfa701f56237f237292"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__ECDH1__DERIVE__PARAMS.html#a5b5ab88b8cf93cfa701f56237f237292">pPublicData</a></td></tr>
<tr class="separator:a5b5ab88b8cf93cfa701f56237f237292"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01101">1101</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a0b7cdb5c49b5009e5d66ca1d6b6ead43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b7cdb5c49b5009e5d66ca1d6b6ead43">&#9670;&nbsp;</a></span>kdf</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a25c4c2080a9de6b88ec16c6e9c776e56">CK_EC_KDF_TYPE</a> kdf</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01102">1102</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a5b5ab88b8cf93cfa701f56237f237292"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b5ab88b8cf93cfa701f56237f237292">&#9670;&nbsp;</a></span>pPublicData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a> pPublicData</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01106">1106</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="acab261b5f4c0104ea7011d671b371ab1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acab261b5f4c0104ea7011d671b371ab1">&#9670;&nbsp;</a></span>pSharedData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a> pSharedData</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01104">1104</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="ae9ccaf64b51247d789c8e4d78b64b54c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9ccaf64b51247d789c8e4d78b64b54c">&#9670;&nbsp;</a></span>ulPublicDataLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulPublicDataLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01105">1105</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a95606c7e5bb43c1d62f41791c98d7f7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95606c7e5bb43c1d62f41791c98d7f7f">&#9670;&nbsp;</a></span>ulSharedDataLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulSharedDataLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01103">1103</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
